# Uses of Class
javax.swing.text.html.HTMLEditorKit.ParserCallback

Packages that use HTMLEditorKit.ParserCallback
Package
Description
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of HTMLEditorKit.ParserCallback in javax.swing.text.html

Subclasses of HTMLEditorKit.ParserCallback in javax.swing.text.html
Modifier and Type
Class
Description
`class`
`HTMLDocument.HTMLReader`
An HTML reader to load an HTML document with an HTML element structure.
Methods in javax.swing.text.html that return HTMLEditorKit.ParserCallback
Modifier and Type
Method
Description
`HTMLEditorKit.ParserCallback`
HTMLDocument.`getReader(int pos)`
Fetches the reader for the parser to use when loading the document with HTML.
`HTMLEditorKit.ParserCallback`
HTMLDocument.`getReader(int pos, int popDepth, int pushDepth, HTML.Tag insertTag)`
Returns the reader for the parser to use to load the document with HTML.
Methods in javax.swing.text.html with parameters of type HTMLEditorKit.ParserCallback
Modifier and Type
Method
Description
`abstract void`
HTMLEditorKit.Parser.`parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`
Parse the given stream and drive the given callback with the results of the parse.

## Uses of HTMLEditorKit.ParserCallback in javax.swing.text.html.parser

Methods in javax.swing.text.html.parser with parameters of type HTMLEditorKit.ParserCallback
Modifier and Type
Method
Description
`void`
DocumentParser.`parse(Reader in, HTMLEditorKit.ParserCallback callback, boolean ignoreCharSet)`
Parse an HTML stream, given a DTD.
`void`
ParserDelegator.`parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`